export function useBizMask() {
  const bizNo = {
    mask: [
      {
        mask: '000-00-00000',
      },
    ],
    dispatch: function (appended: string, dynamicMasked: any) {
      const number = (dynamicMasked.value + appended).replace(/\D/g, '')

      for (let i = 0; i < dynamicMasked.compiledMasks.length; i++) {
        const re = new RegExp(dynamicMasked.compiledMasks[i].regex)
        if (number.match(re) != null) {
          return dynamicMasked.compiledMasks[i]
        }
      }
    },
  }
  return {
    bizNo,
  }
}
